---
agentTools:
  projectIndex: https://developers.pipe.run/llms.txt
---

# Ver detalhes da assinatura

*Endpoint* utilizado para **buscar uma assinatura de documento ou proposta específico** da conta do CRM PipeRun, informando o ID da assinatura como *path parameter*.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "application/json",
    "version": "1.1-CRM"
  },
  "servers": [
    {
      "url": "https://api.pipe.run/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "token",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/signatures/{signature_id}": {
      "get": {
        "summary": "Ver detalhes da assinatura",
        "description": "",
        "operationId": "ver-detalhes-da-assinatura",
        "parameters": [
          {
            "name": "signature_id",
            "in": "path",
            "description": "ID da assinatura.",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": true,\n  \"message\": \"OK\",\n  \"data\": [\n    {\n      \"id\": 123,\n      \"account_id\": 123,\n      \"signature_document_id\": 123,\n      \"witness\": 0,\n      \"status\": 1,\n      \"name\": \"Teste\",\n      \"email\": \"teste@teste.com.br\",\n      \"document_id\": \"123\",\n      \"birth_day\": \"2018-01-30\",\n      \"sign_date\": \"2018-01-26 11:50:48\",\n      \"ip\": \"167.250.30.113\",\n      \"hash\": \"729.....f1588d2a10\",\n      \"created_at\": \"2022-01-26 11:50:16\",\n      \"updated_at\": \"2022-01-26 11:50:16\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "OK"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 123,
                            "default": 0
                          },
                          "account_id": {
                            "type": "integer",
                            "example": 123,
                            "default": 0
                          },
                          "signature_document_id": {
                            "type": "integer",
                            "example": 123,
                            "default": 0
                          },
                          "witness": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "status": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "name": {
                            "type": "string",
                            "example": "Teste"
                          },
                          "email": {
                            "type": "string",
                            "example": "teste@teste.com.br"
                          },
                          "document_id": {
                            "type": "string",
                            "example": "123"
                          },
                          "birth_day": {
                            "type": "string",
                            "example": "2018-01-30"
                          },
                          "sign_date": {
                            "type": "string",
                            "example": "2018-01-26 11:50:48"
                          },
                          "ip": {
                            "type": "string",
                            "example": "167.250.30.113"
                          },
                          "hash": {
                            "type": "string",
                            "example": "729.....f1588d2a10"
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2022-01-26 11:50:16"
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2022-01-26 11:50:16"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"message\": \"Not Found\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "Not Found"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "686d5ab389846000619e863f:686d5ab389846000619e86ec"
}
```